Skip to content

Forgot Password

| View as Markdown

To manage the card of a customer, prepaid card portal access will be provided which requires login credentials. This API is used for forgot password to get the link for reset password of the login credentials. We must pass mobile no and dob in request. If the request has valid details, the url link for reset password will be sent to the mobile no.

https://kraken.airpay.co.in/airpay/ms/cards/api/forgot-password
ParameterType ValueDescriptionValue Like
affiliate requiredtext
(1-10)
Will be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
processor-key requiredtextWill be provided by airpay(constant, required)91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
mobile_no requirednumeric
(1-10)
Mobile number of customer9XXXXXX978
dob requireddate
(1-10)
DOB of customer-DOB format YYYY-MM-DD1958-01-02
ParameterType ValueDescriptionValue Like
status requirednumericairpay status200,400
message requiredtextairpay status messageSuccess,Fail
data requiredjson{“url”:“https://test_ppc.arpy.co.in/user/resetpass”}(required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/forgot-password' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX978' \
--data-urlencode 'dob=1958-01-02'
{
"status": 200,
"message": "success",
"data": {
"url": "https://testcards.arpy.co.in/user/resetpass/AIRPAYCUST1234567899630123615896989XOAFDWXZU5"
}
}
{
"status": 400,
"message": "fail"
}